> For the complete documentation index, see [llms.txt](https://docs.mongoing.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mongoing.com/can-kao/shu-ju-ku-ming-ling/role-management-commands.md).

# 角色管理命令

> **注意**
>
> 有关特定命令的详细信息，包括语法和示例，请单击特定命令以转到其参考页面。

| 名称                                                                                     | 描述                      |
| -------------------------------------------------------------------------------------- | ----------------------- |
| [`createRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)               | 创建一个角色并指定其特权。           |
| [`dropRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)                 | 删除用户定义的角色。              |
| [`dropAllRolesFromDatabase`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md) | 从数据库中删除所有用户定义的角色。       |
| [`grantPrivilegesToRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)    | 将特权分配给用户定义的角色。          |
| [`grantRolesToRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)         | 指定角色，用户定义的角色将从这些角色继承特权。 |
| [`invalidateUserCache`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)      | 刷新用户信息的内存缓存，包括凭据和角色。    |
| [`revokePrivilegesFromRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md) | 从用户定义的角色中删除指定的特权。       |
| [`revokeRolesFromRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)      | 从用户定义的角色中删除指定的继承角色。     |
| [`rolesInfo`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)                | 返回指定角色的信息。              |
| [`updateRole`](/can-kao/shu-ju-ku-ming-ling/role-management-commands.md)               | 更新用户定义的角色。              |

译者：李冠飞

校对：


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mongoing.com/can-kao/shu-ju-ku-ming-ling/role-management-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
